# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`cachefilesd`](#cachefilesd): Manage cachefilesd

## Classes

### `cachefilesd`

Manage cachefilesd

#### Examples

##### 

```puppet
include cachefilesd
```

#### Parameters

The following parameters are available in the `cachefilesd` class.

##### `manage_package`

Data type: `Boolean`

Boolean that determines if package resource is managed.

Default value: ``true``

##### `package_name`

Data type: `String[1]`

Package name for cachefilesd

Default value: `'cachefilesd'`

##### `package_ensure`

Data type: `String[1]`

Package ensure property

Default value: `'installed'`

##### `manage_config`

Data type: `Boolean`

Boolean that determines if config is managed.

Default value: ``true``

##### `config_path`

Data type: `Stdlib::Absolutepath`

Path to cachefilesd.conf

Default value: `'/etc/cachefilesd.conf'`

##### `manage_dir`

Data type: `Boolean`

Booleans that determines if `dir` resource is managed.

Default value: ``true``

##### `dir`

Data type: `Stdlib::Absolutepath`

cachefilesd `dir` config option

Default value: `'/var/cache/fscache'`

##### `cache_tag`

Data type: `Variant[String[1], Boolean]`

cachefilesd `tag` config option

Default value: `'CacheFiles'`

##### `brun`

Data type: `Integer[0,99]`

cachefilesd `brun` config option

Default value: `10`

##### `bcull`

Data type: `Integer[0,99]`

cachefilesd `bcull` config option

Default value: `7`

##### `bstop`

Data type: `Integer[0,99]`

cachefilesd `bstop` config option

Default value: `3`

##### `frun`

Data type: `Integer[0,99]`

cachefilesd `frun` config option

Default value: `10`

##### `fcull`

Data type: `Integer[0,99]`

cachefilesd `fcull` config option

Default value: `7`

##### `fstop`

Data type: `Integer[0,99]`

cachefilesd `fstop` config option

Default value: `3`

##### `secctx`

Data type: `String[1]`

cachefilesd `secctx` config option

Default value: `'system_u:system_r:cachefiles_kernel_t:s0'`

##### `culltable`

Data type: `Integer[12,20]`

cachefilesd `culltable` config option

Default value: `12`

##### `nocull`

Data type: `Boolean`

cachefilesd `nocull` config option

Default value: ``false``

##### `resume_thresholds`

Data type: `Optional[String[1]]`

cachefilesd `resume_thresholds` config option

Default value: ``undef``

##### `manage_service`

Data type: `Boolean`

Boolean that determines if cachefilesd service is managed.

Default value: ``true``

##### `service_name`

Data type: `String[1]`

cachefilesd service name

Default value: `'cachefilesd'`

##### `service_ensure`

Data type: `String[1]`

cachefilesd service ensure property

Default value: `'running'`

##### `service_enable`

Data type: `Variant[Boolean, Enum['UNSET']]`

cachefilesd service enable property

Default value: ``true``

